#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# =============================================================================
# 1C17 Activité 4                                                    INITIATION
# Réaliser : Représentation d'un signal sinusoïdal
# =============================================================================

import numpy  as np
from matplotlib import pyplot as plt
from math import pi

# =============================================================================
# Question 2 a
# =============================================================================
"""
Compléter les lignes 32 à 34 afin de représenter le signal des données 1 puis 
exécuter le programme.
"""
# =============================================================================
# Question 2 b
# =============================================================================
"""
Modifier les lignes 32 à 34 grâce à l'instruction float(input('texte'))
pour permettre à l'utilisateur de choisir dans la console l'amplitude A (en m), 
la période T (en s) et la durée maximale tmax (en s) de représentation du signal.

Exécuter plusieurs fois le programme pour illustrer l'influence de la période T
et de l'amplitude A sur la représentation du signal.
"""

A = ...A compléter...        # Amplitude en m
T = ...A compléter...        # Période en s
tmax = ...A compléter...     # Durée maximale en s

t = np.linspace(0,tmax,256) # Domaine des abscisses en s de 0 à tmax
y = A*np.cos((2*pi/T)*t)    # Domaine des ordonnées en m équation y=f(t)

plt.title('Signal sinusoïdal')  # Titre du graphe
plt.xlabel('$t$ (en s)')        # Label de l'axe des abscisses
plt.ylabel('$y$ (en m)')        # Label de l'axe des ordonnées
plt.xlim(0,tmax)                # Bornes de l'axe des abscisses
plt.ylim(-1.5*A,1.5*A)          # Bornes de l'axe des ordonnées
plt.grid()                      # Affiche une gille
plt.plot(t,y,'r')               # Trace la courbe y=f(t) en rouge
plt.show()                      # Affiche la figure

